## org.apache.xalan.processor
Class XSLTSchema

    java.lang.Object
      |
      +--org.apache.xalan.processor.XSLTElementDef
            |
            +--org.apache.xalan.processor.XSLTSchema

public class XSLTSchema
extends XSLTElementDef

This class defines the allowed structure for a stylesheet, and the mapping between Xalan classes and the markup elements in the stylesheet.

See Also:
  XSLT DTD

Method Summary
`boolean` `elementAvailable(QName elemName)` Determines whether the passed element name is present in the list of available elements.
`java.util.HashMap` `getElemsAvailable()` Get the table of available elements.

Methods inherited from class org.apache.xalan.processor.XSLTElementDef
`getElementProcessor, getElements, setElementProcessor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getElemsAvailable

    public java.util.HashMap getElemsAvailable()

  Get the table of available elements.
  Returns:
    table of available elements, keyed by qualified names, and with values of the same qualified names.

### elementAvailable

    public boolean elementAvailable(QName elemName)

  Determines whether the passed element name is present in the list of available elements.
  Parameters:
    `elemName` - The name of the element to look up.
  Returns:
    true if an element corresponding to elemName is available.

Copyright © 2006 Apache XML Project. All Rights Reserved.